Points de terminaison pour l’exploration
Obtenir l’état d’un crawl
GET
/
crawl
/
{id}
Obtenir le statut d’une tâche de crawl
curl --request GET \
--url https://api.firecrawl.dev/v2/crawl/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/crawl/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/crawl/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"total": 123,
"completed": 123,
"creditsUsed": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"next": "<string>",
"data": [
{
"markdown": "<string>",
"html": "<string>",
"rawHtml": "<string>",
"links": [
"<string>"
],
"screenshot": "<string>",
"metadata": {
"title": "<string>",
"description": "<string>",
"language": "<string>",
"sourceURL": "<string>",
"url": "<string>",
"keywords": "<string>",
"ogLocaleAlternate": [
"<string>"
],
"<any other metadata> ": "<string>",
"statusCode": 123,
"error": "<string>"
}
}
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
L'ID de la tâche de crawl
Réponse
Réponse réussie
Statut actuel du crawl. Peut être scraping, completed ou failed.
Nombre total de pages pour lesquelles un crawl a été tenté.
Nombre de pages explorées avec succès.
Le nombre de crédits utilisés pour le crawl.
La date et l’heure d’expiration du crawl.
L’URL permettant de récupérer les 10 Mo de données suivants. Renvoyée si l’exploration n’est pas terminée ou si la réponse dépasse 10 Mo.
Les données du crawl.
Show child attributes
Show child attributes
⌘I
Obtenir le statut d’une tâche de crawl
